Interface
The result of data source's query method.
Properties
| Property | Type | Notes |
|---|---|---|
count | number | The number of result records. |
exceededTransferLimit | boolean | When exceededTransferLimit is true, it indicates there are more query results and you can continue to page through the results. |
extent | IExtent | Extent | The extent of the result records. |
fields | string[] | The jimuFieldName. |
ids | string | number[] | The IDs of the result records.
If the data source has |
isAborted | boolean | Whether the query process is aborted. |
queryParams | IMQueryParams | The query parameters that generate the result. |
records | DataRecord[] | Records of the query result. |
exceededTransferLimit
exceededTransferLimit: booleanWhen exceededTransferLimit is true, it indicates there are more query results and you can continue to page through the results.
ids
ids: string | number[]The IDs of the result records.
If the data source has uniqueIdFields , the ids are the combination of uniqueIdFields values.
For example, if uniqueIdFields are ['field1', 'field2'] , the ids will be ['["field1Value1","field2Value1"]', '["field1Value2","field2Value2"]', ...] .
isAborted
isAborted: booleanWhether the query process is aborted. isAborted is undefined or false means the query process is done.
queryParams
Interface PropertyqueryParams: IMQueryParamsThe query parameters that generate the result.
records
records: DataRecord[]Records of the query result.